std::experimental::basic_string_view::to_string,(3)

NAME
std::experimental::basic_string_view::to_string, - std::experimental::basic_string_view::to_string,

Synopsis
   template<class Allocator = allocator<CharT>>
   basic_string<CharT, Traits, Allocator> (library fundamentals TS)
   to_string(const Allocator& a = Allocator()) const;
   template<class Allocator>
   explicit operator basic_string<CharT, Traits, (library fundamentals TS)
   Allocator>() const;
   Creates a basic_string with a copy of the content of the current view.

Template parameters
   Allocator - Allocator type used to allocate internal storage

Parameters
   a - Allocator instance to use for allocating the new string

Return value
   A basic_string containing a copy of the characters of the current view.

Complexity
   Linear in size()